# H245_H263ModeComboFlags Class Reference

`#include <h245.h>`

Inheritance diagram for H245_H263ModeComboFlags:

List of all members.

## Public Types

enum | OptionalFields { e_enhancedReferencePicSelect, e_h263Version3Options }

## Public Member Functions

| H245_H263ModeComboFlags (unsigned tag=UniversalSequence, TagClass tagClass=UniversalTagClass)
PINDEX | GetDataLength () const
PBoolean | Decode (PASN_Stream &strm)
void | Encode (PASN_Stream &strm) const
void | PrintOn (ostream &strm) const
Comparison | Compare (const PObject &obj) const
PObject * | Clone () const

## Public Attributes

PASN_Boolean | m_unrestrictedVector
PASN_Boolean | m_arithmeticCoding
PASN_Boolean | m_advancedPrediction
PASN_Boolean | m_pbFrames
PASN_Boolean | m_advancedIntraCodingMode
PASN_Boolean | m_deblockingFilterMode
PASN_Boolean | m_unlimitedMotionVectors
PASN_Boolean | m_slicesInOrder_NonRect
PASN_Boolean | m_slicesInOrder_Rect
PASN_Boolean | m_slicesNoOrder_NonRect
PASN_Boolean | m_slicesNoOrder_Rect
PASN_Boolean | m_improvedPBFramesMode
PASN_Boolean | m_referencePicSelect
PASN_Boolean | m_dynamicPictureResizingByFour
PASN_Boolean | m_dynamicPictureResizingSixteenthPel
PASN_Boolean | m_dynamicWarpingHalfPel
PASN_Boolean | m_dynamicWarpingSixteenthPel
PASN_Boolean | m_reducedResolutionUpdate
PASN_Boolean | m_independentSegmentDecoding
PASN_Boolean | m_alternateInterVLCMode
PASN_Boolean | m_modifiedQuantizationMode
PASN_Boolean | m_enhancedReferencePicSelect
H245_H263Version3Options | m_h263Version3Options

## Member Enumeration Documentation

enum H245_H263ModeComboFlags::OptionalFields

Enumerator:

  e_enhancedReferencePicSelect |
  e_h263Version3Options |

## Constructor & Destructor Documentation

H245_H263ModeComboFlags::H245_H263ModeComboFlags | ( | unsigned | tag = `UniversalSequence`,
|  | TagClass | tagClass = `UniversalTagClass` |
| ) |  |  |

## Member Function Documentation

PINDEX H245_H263ModeComboFlags::GetDataLength | ( |  | ) | const

PBoolean H245_H263ModeComboFlags::Decode | ( | PASN_Stream & | strm | ) |

void H245_H263ModeComboFlags::Encode | ( | PASN_Stream & | strm | ) | const

void H245_H263ModeComboFlags::PrintOn | ( | ostream & | strm | ) | const

Comparison H245_H263ModeComboFlags::Compare | ( | const PObject & | obj | ) | const

PObject* H245_H263ModeComboFlags::Clone | ( |  | ) | const

## Member Data Documentation

PASN_Boolean H245_H263ModeComboFlags::m_unrestrictedVector

PASN_Boolean H245_H263ModeComboFlags::m_arithmeticCoding

PASN_Boolean H245_H263ModeComboFlags::m_advancedPrediction

PASN_Boolean H245_H263ModeComboFlags::m_pbFrames

PASN_Boolean H245_H263ModeComboFlags::m_advancedIntraCodingMode

PASN_Boolean H245_H263ModeComboFlags::m_deblockingFilterMode

PASN_Boolean H245_H263ModeComboFlags::m_unlimitedMotionVectors

PASN_Boolean H245_H263ModeComboFlags::m_slicesInOrder_NonRect

PASN_Boolean H245_H263ModeComboFlags::m_slicesInOrder_Rect

PASN_Boolean H245_H263ModeComboFlags::m_slicesNoOrder_NonRect

PASN_Boolean H245_H263ModeComboFlags::m_slicesNoOrder_Rect

PASN_Boolean H245_H263ModeComboFlags::m_improvedPBFramesMode

PASN_Boolean H245_H263ModeComboFlags::m_referencePicSelect

PASN_Boolean H245_H263ModeComboFlags::m_dynamicPictureResizingByFour

PASN_Boolean H245_H263ModeComboFlags::m_dynamicPictureResizingSixteenthPel

PASN_Boolean H245_H263ModeComboFlags::m_dynamicWarpingHalfPel

PASN_Boolean H245_H263ModeComboFlags::m_dynamicWarpingSixteenthPel

PASN_Boolean H245_H263ModeComboFlags::m_reducedResolutionUpdate

PASN_Boolean H245_H263ModeComboFlags::m_independentSegmentDecoding

PASN_Boolean H245_H263ModeComboFlags::m_alternateInterVLCMode

PASN_Boolean H245_H263ModeComboFlags::m_modifiedQuantizationMode

PASN_Boolean H245_H263ModeComboFlags::m_enhancedReferencePicSelect

H245_H263Version3Options H245_H263ModeComboFlags::m_h263Version3Options

The documentation for this class was generated from the following file:

- h245.h